<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class StationTaskMaterialBox extends Model
{
    protected $fillable=['station_id','material_box_id','status'];

    public function materialBox()
    {   //料箱
        return $this->hasOne(MaterialBox::class,"id","material_box_id");
    }
    function parentTask(){
        return $this->morphOne(StationTask::class,'station_taskable');
    }
}
